Package tigase.xmpp.rsm

## Class RSM

- java.lang.Object
- - tigase.xmpp.rsm.RSM

-     public class RSM
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `XMLNS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RSM()` |
    `RSM​(int defaultMax)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RSM` | `fromElement​(Element e)` |
    `java.lang.String` | `getAfter()` |
    `java.lang.String` | `getBefore()` |
    `java.lang.Integer` | `getCount()` |
    `java.lang.String` | `getFirst()` |
    `java.lang.Integer` | `getIndex()` |
    `java.lang.String` | `getLast()` |
    `int` | `getMax()` |
    `boolean` | `hasBefore()` |
    `static RSM` | `parseRootElement​(Element e)` |
    `static RSM` | `parseRootElement​(Element e, int defaultMax)` |
    `void` | `setAfter​(java.lang.String after)` |
    `void` | `setBefore​(java.lang.String before)` |
    `void` | `setCount​(java.lang.Integer count)` |
    `void` | `setFirst​(java.lang.String first)` |
    `void` | `setHasBefore​(boolean hasBefore)` |
    `void` | `setIndex​(java.lang.Integer index)` |
    `void` | `setLast​(java.lang.String last)` |
    `void` | `setMax​(int max)` |
    `void` | `setResults​(java.lang.Integer count, java.lang.Integer index)` |
    `void` | `setResults​(java.lang.Integer count, java.lang.String first, java.lang.String last)` |
    `Element` | `toElement()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          public static final java.lang.String XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RSM

          public RSM​(int defaultMax)

    - #### RSM

          public RSM()

  - ### Method Detail

    - #### parseRootElement

          public static RSM parseRootElement​(Element e,
                                             int defaultMax)

    - #### parseRootElement

          public static RSM parseRootElement​(Element e)

    - #### getMax

          public int getMax()

    - #### setMax

          public void setMax​(int max)

    - #### getIndex

          public java.lang.Integer getIndex()

    - #### setIndex

          public void setIndex​(java.lang.Integer index)

    - #### getAfter

          public java.lang.String getAfter()

    - #### setAfter

          public void setAfter​(java.lang.String after)

    - #### getBefore

          public java.lang.String getBefore()

    - #### setBefore

          public void setBefore​(java.lang.String before)

    - #### hasBefore

          public boolean hasBefore()

    - #### setHasBefore

          public void setHasBefore​(boolean hasBefore)

    - #### getCount

          public java.lang.Integer getCount()

    - #### setCount

          public void setCount​(java.lang.Integer count)

    - #### getFirst

          public java.lang.String getFirst()

    - #### setFirst

          public void setFirst​(java.lang.String first)

    - #### getLast

          public java.lang.String getLast()

    - #### setLast

          public void setLast​(java.lang.String last)

    - #### setResults

          public void setResults​(java.lang.Integer count,
                                 java.lang.String first,
                                 java.lang.String last)

    - #### setResults

          public void setResults​(java.lang.Integer count,
                                 java.lang.Integer index)

    - #### fromElement

          public RSM fromElement​(Element e)

    - #### toElement

          public Element toElement()